from checkbox.job import PASS
from checkbox.plugin import Plugin


class SatellitePrompt(Plugin):

    def register(self, manager):
        super(SatellitePrompt, self).register(manager)

        self._manager.reactor.call_on("prompt-jobs", self.prompt_jobs, -100)
        self._manager.reactor.call_on("prompt-finish", self.prompt_finish, 100)

    def prompt_jobs(self, interface):
        test = {
            "type": "shell",
            "name": "start",
            "suite": "satellite",
            "description": "Start certification testing",
            "status": PASS}
        self._manager.reactor.fire("report-tests", [test])
        self._manager.reactor.fire("prompt-exchange", interface)

    def prompt_finish(self, interface):
        test = {
            "type": "shell",
            "name": "finish",
            "suite": "satellite",
            "description": "Finish certification testing",
            "status": PASS}
        self._manager.reactor.fire("report-tests", [test])
        self._manager.reactor.fire("prompt-exchange", interface)


factory = SatellitePrompt
